\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{mdmv}[2010/01/09 
^^JLaTeX document class for OPTIMA]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% please send problems/feedback to <optima@m0x45.de>                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%
%--------------------------------------------------------------------------------
\LoadClass[10pt,oneside]{book}
\RequirePackage[a4paper,%
                heightrounded,%
                top=2.5cm,%
                left=6cm,%
                right=6.75cm,%
                bottom=2.5cm,%
                ]{geometry}
                \RequirePackage{fancyhdr}
\renewcommand{\headrulewidth}{0pt}
\fancyhf{}
\lhead{\bfseries\scriptsize MDMV}
\chead{\scriptsize \the\year-\the\month-\the\day}
\rhead{\bfseries\scriptsize  Spalte \thepage}
\pagestyle{fancy}
\setlength{\parskip}{1ex plus 1ex}
\setlength{\parindent}{0em}

\tolerance=700
\renewcommand{\familydefault}{cmss}

\RequirePackage[english,ngerman]{babel}
\RequirePackage{amsmath,amsthm,amssymb}
\RequirePackage{calc}
\RequirePackage{graphicx}
\RequirePackage{xcolor}
%
\RequirePackage[font=small,%
  labelfont=rm,%
  textfont=it,%
  labelsep=period,%
  singlelinecheck=false,%
  aboveskip=3pt,%
  justification=raggedright]{caption} 
%  
\RequirePackage{titlesec}
\renewcommand{\thesection}{\arabic{section}}
\newcommand{\periodafter}[1]{#1.}
\titleformat{\section}
      {\normalfont\bfseries\raggedright}
      {\makebox[8mm][l]{\thesection}}
      {0em}
      {}
\titlespacing*{\section}
      {0pt}{2\baselineskip}{1\baselineskip}
\titleformat{\subsection}
      {\normalsize\itshape\raggedright}
      {\makebox[8mm][l]{\thesubsection}}
      {0em}
      {}
\titlespacing*{\subsection}
       {0pt}{1\baselineskip}{0\baselineskip}
\titleformat{\subsubsection}
      {\normalsize\itshape\raggedright}
      {\makebox[8mm][l]{\normalfont\thesubsubsection}}
      {0em}
      {}
\titlespacing*{\subsubsection}
      {0pt}{12pt}{0pt}
\titleformat{\paragraph}[runin]
      {\normalsize\bfseries}
      {\normalfont\thesubsubsection}
      {0em}
      {\periodafter}
\titlespacing*{\paragraph}
      {0pt}{12pt}{1em}
   
\newcommand{\refname}{Literatur}
\renewenvironment{thebibliography}[1]
     {\section*{\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \setlength{\itemsep}{0pt}
            \setlength{\parsep}{.5ex plus .5ex}
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \footnotesize
      \sloppy 
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
      
\renewenvironment{quote}
               {\list{}{%
                   \rightmargin0em%
                   \leftmargin2em%
                   \topsep0pt%.25\baselineskip%
                   \parsep0pt}%
                \item 
                  \relax}
               {\endlist}
               
\newcommand{\head}[2]{%
   \begin{minipage}{\textwidth+1cm}
      \raggedleft
      \fontsize{20pt}{23pt}\selectfont
      #2\par
      \bigskip
    
      \normalsize
      #1\hspace*{1cm}\par
    \end{minipage}

  \vspace{3\baselineskip}\frenchspacing

  }
  
% \newenvironment{info}
%                {\vspace{\baselineskip}\par \footnotesize\RaggedRight}
%                {}
%                
% \newenvironment{jinfo}
%                {\setlength{\parindent}{0pt}%
%                \vspace{\baselineskip}\par \small}
%                {}          
  
\RequirePackage{paralist}


\RequirePackage[bookmarks=false,colorlinks=true,breaklinks=true,
   linkcolor=black,citecolor=black,urlcolor=black]{hyperref}
\RequirePackage{breakurl}
  